## vulkan-loader 1.3.204.1

=== tests/CMakeLists.txt ===
# ~~~
# Copyright (c) 2014-2018 Valve Corporation
# Copyright (c) 2014-2018 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~


# By default, tests and loader are built without sanitizers
# Use these options to force a specific sanitizer on all test executables
option(TEST_USE_ADDRESS_SANITIZER "Linux only: Advanced memory checking" OFF)
option(TEST_USE_THREAD_SANITIZER "Linux only: Advanced thread checking" OFF)

include(GoogleTest)
add_subdirectory(framework)

add_executable(
    test_regression
        loader_testing_main.cpp
        loader_alloc_callback_tests.cpp
        loader_get_proc_addr_tests.cpp
        loader_handle_validation_tests.cpp
        loader_layer_tests.cpp
        loader_regression_tests.cpp
        loader_version_tests.cpp
        loader_unknown_ext_tests.cpp)
target_link_libraries(test_regression PRIVATE testing_dependencies)

add_executable(
    test_wsi
        loader_testing_main.cpp
        loader_wsi_tests.cpp)
target_link_libraries(test_wsi PRIVATE testing_dependencies)

if(UNIX AND NOT APPLE) # i.e. Linux
    if(BUILD_WSI_XCB_SUPPORT)
        target_include_directories(test_wsi PRIVATE ${XCB_INCLUDE_DIRS})
        target_link_libraries(test_wsi PRIVATE ${XCB_LIBRARIES})
    endif()

    if(BUILD_WSI_XLIB_SUPPORT)
        target_include_directories(test_wsi PRIVATE ${X11_INCLUDE_DIR})
        target_link_libraries(test_wsi PRIVATE ${X11_LIBRARIES})
    endif()

    if(BUILD_WSI_WAYLAND_SUPPORT)
        target_include_directories(test_wsi PRIVATE ${WAYLAND_CLIENT_INCLUDE_DIR})
        target_link_libraries(test_wsi PRIVATE ${WAYLAND_CLIENT_LIBRARIES})
    endif()
endif()

add_executable(
    test_threading
        loader_testing_main.cpp
        loader_threading_tests.cpp)
target_link_libraries(test_threading PRIVATE testing_dependencies)

if(WIN32)
    # Copy loader and googletest (gtest) libs to test dir so the test executable can find them.
    add_custom_command(TARGET test_regression POST_BUILD
                       COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:gtest> $<TARGET_FILE_DIR:test_regression>)
    # Copy the loader shared lib (if built) to the test application directory so the test app finds it.
    if(TARGET vulkan)
        add_custom_command(TARGET test_regression POST_BUILD
                           COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:vulkan> $<TARGET_FILE_DIR:test_regression>)
    endif()
endif()

# must happen after the dll's get copied over
gtest_discover_tests(test_regression)

=== vulkan-headers/CMakeLists.txt ===
# ~~~
# Copyright (c) 2018 Valve Corporation
# Copyright (c) 2018 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

# CMake project initialization ---------------------------------------------------------------------------------------------------
# This section contains pre-project() initialization, and ends with the project() command.

cmake_minimum_required(VERSION 3.10.2)

# NONE = this project has no language toolchain requirement.
project(Vulkan-Headers NONE)

# User-interface declarations ----------------------------------------------------------------------------------------------------
# This section contains variables that affect development GUIs (e.g. CMake GUI and IDEs), such as option(), folders, and variables
# with the CACHE property.

include(GNUInstallDirs)

if(WIN32 AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    # Windows: if install locations not set by user, set install prefix to "<build_dir>\install".
    set(CMAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/install" CACHE PATH "default install path" FORCE)
endif()

# --------------------------------------------------------------------------------------------------------------------------------

# define exported targets for nested project builds to consume
add_library(Vulkan-Headers INTERFACE)
target_include_directories(Vulkan-Headers INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/include")
add_library(Vulkan::Headers ALIAS Vulkan-Headers)

add_library(Vulkan-Registry INTERFACE)
target_include_directories(Vulkan-Registry INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/registry")
add_library(Vulkan::Registry ALIAS Vulkan-Registry)

install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/vulkan" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/vk_video" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/registry" DESTINATION ${CMAKE_INSTALL_DATADIR}/vulkan)

# uninstall target
if(NOT TARGET uninstall)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
                   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
                   IMMEDIATE
                   @ONLY)
    add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== tests/framework/data/CMakeLists.txt ===


# Uncomment to rebuild the targets
if(UNIX)
#     add_library(dummy_library_elf_64 SHARED stub.cpp)
#     set_target_properties(dummy_library_elf_64 PROPERTIES COMPILE_OPTIONS "-m64" LINK_FLAGS "-m64")
#     add_custom_command(TARGET dummy_library_elf_64 POST_BUILD
#         COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:dummy_library_elf_64> ${CMAKE_CURRENT_SOURCE_DIR}/binaries)

#     add_library(dummy_library_elf_32 SHARED stub.cpp)
#     set_target_properties(dummy_library_elf_32 PROPERTIES COMPILE_OPTIONS "-m32" LINK_FLAGS "-m32")
#     add_custom_command(TARGET dummy_library_elf_32 POST_BUILD
#         COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:dummy_library_elf_32> ${CMAKE_CURRENT_SOURCE_DIR}/binaries)
endif()

if(WIN32)
    # add_library(dummy_library_pe_64 SHARED stub.cpp)
    # add_custom_command(TARGET dummy_library_pe_64 POST_BUILD
    #     COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:dummy_library_pe_64> ${CMAKE_CURRENT_SOURCE_DIR}/binaries)

    # add_library(dummy_library_pe_32 SHARED stub.cpp)
    # add_custom_command(TARGET dummy_library_pe_32 POST_BUILD
    #     COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:dummy_library_pe_32> ${CMAKE_CURRENT_SOURCE_DIR}/binaries)
endif()

=== tests/framework/icd/CMakeLists.txt ===
# ~~~
# Copyright (c) 2021 Valve Corporation
# Copyright (c) 2021 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

set(CMAKE_CXX_STANDARD 11)

add_library(test_icd_deps INTERFACE)

target_compile_options(test_icd_deps INTERFACE
    $<$<PLATFORM_ID:WIN32>:${MSVC_LOADER_COMPILE_OPTIONS},/permissive->)

target_compile_definitions(test_icd_deps INTERFACE
# Workaround for TR1 deprecation in Visual Studio 15.5 until Google Test is updated
    $<$<PLATFORM_ID:WIN32>:-DWIN32_LEAN_AND_MEAN,-D_SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING>
    VK_NO_PROTOTYPES)

target_link_libraries(test_icd_deps INTERFACE testing_framework_util)

set(TEST_ICD_SOURCES test_icd.cpp test_icd.h)

# test icd without any config macros defined
add_library(test_icd_export_none SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_export_none PRIVATE test_icd_deps)

add_library(test_icd_export_icd_gipa SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_export_icd_gipa PRIVATE test_icd_deps)
target_compile_definitions(test_icd_export_icd_gipa PRIVATE TEST_ICD_EXPORT_ICD_GIPA=1)

add_library(test_icd_export_negotiate_interface_version SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_export_negotiate_interface_version PRIVATE test_icd_deps)
target_compile_definitions(test_icd_export_negotiate_interface_version PRIVATE TEST_ICD_EXPORT_NEGOTIATE_INTERFACE_VERSION=1)

set(TEST_ICD_VERSION_2_DEFINES TEST_ICD_EXPORT_NEGOTIATE_INTERFACE_VERSION=1 TEST_ICD_EXPORT_ICD_GIPA=1)

add_library(test_icd_version_2 SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_version_2 PRIVATE test_icd_deps)
target_compile_definitions(test_icd_version_2 PRIVATE ${TEST_ICD_VERSION_2_DEFINES})

add_library(test_icd_version_2_export_icd_enumerate_adapter_physical_devices SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_version_2_export_icd_enumerate_adapter_physical_devices PRIVATE test_icd_deps)
target_compile_definitions(test_icd_version_2_export_icd_enumerate_adapter_physical_devices PRIVATE TEST_ICD_EXPORT_ICD_ENUMERATE_ADAPTER_PHYSICAL_DEVICES=1 ${TEST_ICD_VERSION_2_DEFINES})

add_library(test_icd_version_2_export_icd_gpdpa SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_version_2_export_icd_gpdpa PRIVATE test_icd_deps)
target_compile_definitions(test_icd_version_2_export_icd_gpdpa PRIVATE TEST_ICD_EXPORT_ICD_GPDPA=1 ${TEST_ICD_VERSION_2_DEFINES})

add_library(test_icd_version_6 SHARED ${TEST_ICD_SOURCES})
target_link_libraries(test_icd_version_6 PRIVATE test_icd_deps)
target_compile_definitions(test_icd_version_6 PRIVATE TEST_ICD_EXPORT_ICD_GPDPA=1 TEST_ICD_EXPORT_ICD_ENUMERATE_ADAPTER_PHYSICAL_DEVICES=1 ${TEST_ICD_VERSION_2_DEFINES})

if (WIN32)
    target_sources(test_icd_export_none PRIVATE export_definitions/test_icd_0.def)
    target_sources(test_icd_export_icd_gipa PRIVATE export_definitions/test_icd_gipa.def)
    target_sources(test_icd_export_negotiate_interface_version PRIVATE export_definitions/test_icd_negotiate_version.def)
    target_sources(test_icd_version_2 PRIVATE export_definitions/test_icd_2.def)
    target_sources(test_icd_version_2_export_icd_enumerate_adapter_physical_devices PRIVATE export_definitions/test_icd_2_enum_adapter.def)
    target_sources(test_icd_version_2_export_icd_gpdpa PRIVATE export_definitions/test_icd_2_gpdpa.def)
    target_sources(test_icd_version_6 PRIVATE export_definitions/test_icd_6.def)
endif()

=== debian/changelog ===
vulkan-loader (1.3.204.1-2) unstable; urgency=medium

  * symbols: Fix arch specific symbols.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 16:27:24 +0200

vulkan-loader (1.3.204.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 11:50:36 +0200

vulkan-loader (1.3.204.0-1) unstable; urgency=medium

  * control: Drop python3-minimal dependency from libvulkan-dev.
  * New upstream release.
  * symbols: Updated.
  * symbols: Go back to a single symbols file, but skip some symbols on
    i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Feb 2022 21:35:10 +0200

vulkan-loader (1.2.198.1-2) unstable; urgency=medium

  * patches: Add patches to fix symbols for i386. (Closes: #1003219)
  * symbols: Add a symlink .aarch64 -> .amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Jan 2022 10:46:21 +0200

vulkan-loader (1.2.198.1-1) unstable; urgency=medium

  * New upstream release.
  * sync_headers.sh: Updated to take sdk version as an argument, and use
    git checkout instead of force reset.
  * fix-ftbfs.diff: Dropped, upstream.
  * Drop prebuilt libdummy binaries from the source.
  * control: Add python dep to libvulkan-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jan 2022 11:00:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --builddirectory=build/

override_dh_clean:
	dh_clean
	rm -rf __pycache__ \
		include \
		scripts/__pycache__ \
		vulkan-headers/registry/__pycache__
	rm -f external/googletest

override_dh_auto_configure:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -s /usr/src/googletest external
endif

	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DBUILD_WSI_MIR_SUPPORT=OFF \
	-DVulkanHeaders_INCLUDE_DIR=../vulkan-headers/include \
	-DVulkanRegistry_DIR=../vulkan-headers/registry

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	(cd build; tests/run_all_tests.sh || \
		echo "NOTE: 23 tests expected to fail without a vulkan driver")
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

	mkdir -p debian/tmp/usr/share/vulkan
	cp -rp vulkan-headers/include debian/tmp/usr
	cp -rp vulkan-headers/registry debian/tmp/usr/share/vulkan
	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__

override_dh_missing:
	dh_missing --fail-missing

gentarball:
	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .

## vulkan-loader 1.3.216.0

=== tests/framework/layer/CMakeLists.txt ===
# ~~~
# Copyright (c) 2021-2022 Valve Corporation
# Copyright (c) 2021-2022 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

set(TEST_LAYER_BASE_EXPORTS TEST_LAYER_EXPORT_ENUMERATE_FUNCTIONS=1)
set(TEST_LAYER_VERSION_0_EXPORTS ${TEST_LAYER_BASE_EXPORTS} TEST_LAYER_EXPORT_LAYER_NAMED_GIPA=1 TEST_LAYER_EXPORT_LAYER_NAMED_GDPA=1)
set(TEST_LAYER_VERSION_1_EXPORTS ${TEST_LAYER_VERSION_0_EXPORTS} TEST_LAYER_EXPORT_NO_PREFIX_GIPA=1 TEST_LAYER_EXPORT_NO_PREFIX_GDPA=1)
set(TEST_LAYER_VERSION_2_EXPORTS ${TEST_LAYER_VERSION_1_EXPORTS} TEST_LAYER_EXPORT_GET_PHYSICAL_DEVICE_PROC_ADDR=1
    LAYER_EXPORT_NEGOTIATE_LOADER_LAYER_INTERFACE_VERSION=1)

AddSharedLibrary(test_layer_export_base DEF_FILE test_layer_base SOURCES test_layer.cpp DEFINITIONS ${TEST_LAYER_BASE_EXPORTS})
AddSharedLibrary(test_layer_export_version_0 DEF_FILE test_layer_0 SOURCES test_layer.cpp DEFINITIONS ${TEST_LAYER_VERSION_0_EXPORTS})
AddSharedLibrary(test_layer_export_version_1 DEF_FILE test_layer_1 SOURCES test_layer.cpp DEFINITIONS ${TEST_LAYER_VERSION_1_EXPORTS})
AddSharedLibrary(test_layer_export_version_2 DEF_FILE test_layer_2 SOURCES test_layer.cpp DEFINITIONS ${TEST_LAYER_VERSION_2_EXPORTS})

# Wrap Objects layer which wraps dispatchable handles to test that the loader will properly
# work in the case where handles in the terminator don't match handles in the trampoline portion.
set(WRAP_LAYER_VERSION_1_EXPORTS
        TEST_LAYER_EXPORT_DIRECT_DISP=1
        TEST_LAYER_EXPORT_MAINT_1=1
    )
set(WRAP_LAYER_VERSION_2_EXPORTS
        TEST_LAYER_EXPORT_DISP_SURF_COUNT=1
        TEST_LAYER_EXPORT_PRESENT_IMAGE=1
    )
set(WRAP_LAYER_VERSION_3_EXPORTS
        TEST_LAYER_EXPORT_DIRECT_DISP=1
        TEST_LAYER_EXPORT_DISP_SURF_COUNT=1
        TEST_LAYER_EXPORT_MAINT_1=1
        TEST_LAYER_EXPORT_PRESENT_IMAGE=1
    )

AddSharedLibrary(test_layer_wrap_objects DEF_FILE test_layer_wrap_objects SOURCES wrap_objects.cpp DEFINITIONS "")
AddSharedLibrary(test_layer_wrap_objects_1 DEF_FILE test_layer_wrap_objects SOURCES wrap_objects.cpp DEFINITIONS ${WRAP_LAYER_VERSION_1_EXPORTS})
AddSharedLibrary(test_layer_wrap_objects_2 DEF_FILE test_layer_wrap_objects SOURCES wrap_objects.cpp DEFINITIONS ${WRAP_LAYER_VERSION_2_EXPORTS})
AddSharedLibrary(test_layer_wrap_objects_3 DEF_FILE test_layer_wrap_objects SOURCES wrap_objects.cpp DEFINITIONS ${WRAP_LAYER_VERSION_3_EXPORTS})

=== debian/changelog ===
vulkan-loader (1.3.216.0-1~mx21ahs+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Jul 2022 18:14:02 -0700

vulkan-loader (1.3.216.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 12:39:19 +0300

vulkan-loader (1.3.211.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * sync_headers.sh: Fix checking the version.
  * patches: Dropped, upstream.

  [ Simon McVittie ]
  * tests: Exclude precompiled binary objects from .orig tarball
  * d/copyright: Update
  * Regenerate loader/generated/ during build.
    Thanks to Helmut Grohne (Closes: #981362)
  * d/rules: Delete another __pycache__ directory
  * d/libvulkan1.symbols: Expect i386 to be treated as an x86 architecture

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 11:34:17 +0300

=== debian/control ===
Source: vulkan-loader
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               googletest <!nocheck>,
               libwayland-dev,
               libx11-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               python3
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/KhronosGroup/Vulkan-Loader
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-loader.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-loader

Package: libvulkan1
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvulkan-dev (<< 1.1.70+dfsg1-2), vulkan-loader
Replaces: libvulkan-dev (<< 1.1.70+dfsg1-2), vulkan-loader
Recommends: mesa-vulkan-drivers | vulkan-icd
Multi-Arch: same
Description: Vulkan loader library
 The Loader implements the main VK library. It handles layer management and
 driver management. The loader fully supports multi-gpu operation. As part of
 this, it dispatches API calls to the correct driver, and to the correct
 layers, based on the GPU object selected by the application.
 .
 This package includes the loader library.

Package: libvulkan-dev
Section: libdevel
Architecture: linux-any
Depends: libvulkan1 (= ${binary:Version}), python3:any, ${misc:Depends}
Breaks: vulkan-headers, vulkan-sdk-headers
Replaces: vulkan-headers, vulkan-sdk-headers
Multi-Arch: same
Description: Vulkan loader library -- development files
 The Loader implements the main VK library. It handles layer management and
 driver management. The loader fully supports multi-gpu operation. As part of
 this, it dispatches API calls to the correct driver, and to the correct
 layers, based on the GPU object selected by the application.
 .
 This package includes files needed for development.

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,10 @@
 	-DVulkanHeaders_INCLUDE_DIR=../vulkan-headers/include \
 	-DVulkanRegistry_DIR=../vulkan-headers/registry
 
+override_dh_auto_build:
+	dh_auto_build -- VulkanLoader_generated_source
+	dh_auto_build
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	(cd build; tests/run_all_tests.sh || \
@@ -41,9 +45,14 @@
 	cp -rp vulkan-headers/include debian/tmp/usr
 	cp -rp vulkan-headers/registry debian/tmp/usr/share/vulkan
 	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__
+	rm -rf debian/tmp/usr/share/vulkan/registry/spec_tools/__pycache__
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 gentarball:
 	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \

## vulkan-loader 1.3.224.0

=== debian/changelog ===
vulkan-loader (1.3.224.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Jan 2023 16:53:56 -0800

vulkan-loader (1.3.224.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Phil Morrell <emorrp1@debian.org>  Mon, 03 Oct 2022 00:57:49 +0100

vulkan-loader (1.3.224.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Aug 2022 18:28:28 +0300

=== debian/control ===
Source: vulkan-loader
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 12),
 cmake,
 googletest <!nocheck>,
 libwayland-dev,
 libx11-dev,
 libxcb1-dev,
 libxrandr-dev,
 pkg-config,
 python3,
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/KhronosGroup/Vulkan-Loader
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-loader.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-loader

Package: libvulkan1
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: vulkan-loader,
 libvulkan-dev (<< 1.1.70+dfsg1-2),
Replaces: vulkan-loader,
 libvulkan-dev (<< 1.1.70+dfsg1-2),
Recommends: mesa-vulkan-drivers | vulkan-icd
Multi-Arch: same
Description: Vulkan loader library
 The Loader implements the main VK library. It handles layer management and
 driver management. The loader fully supports multi-gpu operation. As part of
 this, it dispatches API calls to the correct driver, and to the correct
 layers, based on the GPU object selected by the application.
 .
 This package includes the loader library.

Package: libvulkan-dev
Section: libdevel
Architecture: linux-any
Depends:
 libvulkan1 (= ${binary:Version}),
 python3:any,
 ${misc:Depends},
Breaks: vulkan-sdk-headers, vulkan-headers
Replaces: vulkan-sdk-headers, vulkan-headers
Multi-Arch: same
Description: Vulkan loader library -- development files
 The Loader implements the main VK library. It handles layer management and
 driver management. The loader fully supports multi-gpu operation. As part of
 this, it dispatches API calls to the correct driver, and to the correct
 layers, based on the GPU object selected by the application.
 .
 This package includes files needed for development.

=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,11 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 gentarball:
 	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
 		--exclude 'debian' --exclude-vcs \
 		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+

## vulkan-loader 1.3.231.1

=== CMakeLists.txt ===
# ~~~
# Copyright (c) 2014-2022 Valve Corporation
# Copyright (c) 2014-2022 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

cmake_minimum_required(VERSION 3.10.2)

# Apple: Must be set before enable_language() or project() as it may influence configuration of the toolchain and flags.
set(CMAKE_OSX_DEPLOYMENT_TARGET "10.12" CACHE STRING "Minimum OS X deployment version")

# If we are building in Visual Studio 2015 and with a CMake version 3.19 or greater, we need to set this variable
# so that CMake will choose a Windows SDK version higher than 10.0.14393.0, as dxgi1_6.h is only found in Windows SDK
# 10.0.17763 and higher.
set(CMAKE_VS_WINDOWS_TARGET_PLATFORM_VERSION_MAXIMUM OFF)

project(Vulkan-Loader)

if (UPDATE_DEPS)
    find_package(PythonInterp 3 REQUIRED)

    if (CMAKE_GENERATOR_PLATFORM)
        set(_target_arch ${CMAKE_GENERATOR_PLATFORM})
    else()
        message(WARNING "CMAKE_GENERATOR_PLATFORM not set. Using x64 as target architecture.")
        set(_target_arch x64)
    endif()

    if (NOT CMAKE_BUILD_TYPE)
        message(WARNING "CMAKE_BUILD_TYPE not set. Using Debug for dependency build type")
        set(_build_type Debug)
    else()
        set(_build_type ${CMAKE_BUILD_TYPE})
    endif()

    set(_build_tests_arg "")
    if (NOT BUILD_TESTS)
        set(_build_tests_arg "--optional=tests")
    endif()

    message("********************************************************************************")
    message("* NOTE: Adding target vl_update_deps to run as needed for updating            *")
    message("*       dependencies.                                                          *")
    message("********************************************************************************")

    # Add a target so that update_deps.py will run when necessary
    # NOTE: This is triggered off of the timestamps of known_good.json and helper.cmake
    add_custom_command(OUTPUT ${CMAKE_CURRENT_LIST_DIR}/external/helper.cmake
                       COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_LIST_DIR}/scripts/update_deps.py --dir ${CMAKE_CURRENT_LIST_DIR}/external --arch ${_target_arch} --config ${_build_type} --generator "${CMAKE_GENERATOR}" ${_build_tests_arg}
                       DEPENDS ${CMAKE_CURRENT_LIST_DIR}/scripts/known_good.json)

    add_custom_target(vl_update_deps DEPENDS ${CMAKE_CURRENT_LIST_DIR}/external/helper.cmake)

    # Check if update_deps.py needs to be run on first cmake run
    if (${CMAKE_CURRENT_LIST_DIR}/scripts/known_good.json IS_NEWER_THAN ${CMAKE_CURRENT_LIST_DIR}/external/helper.cmake)
        execute_process(
            COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_LIST_DIR}/scripts/update_deps.py --dir ${CMAKE_CURRENT_LIST_DIR}/external --arch ${_target_arch} --config ${_build_type} --generator "${CMAKE_GENERATOR}" ${_build_tests_arg}
            WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
            RESULT_VARIABLE _update_deps_result
        )
        if (NOT (${_update_deps_result} EQUAL 0))
            message(FATAL_ERROR "Could not run update_deps.py which is necessary to download dependencies.")
        endif()
    endif()
    include(${CMAKE_CURRENT_LIST_DIR}/external/helper.cmake)
else()
    message("********************************************************************************")
    message("* NOTE: Not adding target to run update_deps.py automatically.                 *")
    message("********************************************************************************")
    find_package(PythonInterp 3 QUIET)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(PythonInterp 3 QUIET)

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

option(BUILD_TESTS "Build Tests" OFF)

if(BUILD_TESTS)
    enable_testing()
endif()

if(APPLE)
    option(BUILD_STATIC_LOADER "Build a loader that can be statically linked" OFF)
endif()

if(WIN32)
    # Optional: Allow specify the exact version used in the loader dll
    # Format is major.minor.patch.build
    set(BUILD_DLL_VERSIONINFO "" CACHE STRING "Set the version to be used in the loader.rc file. Default value is the currently generated header version")
endif()

if(BUILD_STATIC_LOADER)
    message(WARNING "The BUILD_STATIC_LOADER option has been set. Note that this will only work on MacOS and is not supported "
        "or tested as part of the loader. Use it at your own risk.")
endif()

if (TARGET Vulkan::Headers)
    message(STATUS "Using Vulkan headers from Vulkan::Headers target")
    get_target_property(VulkanHeaders_INCLUDE_DIRS Vulkan::Headers INTERFACE_INCLUDE_DIRECTORIES)
    get_target_property(VulkanRegistry_DIR Vulkan::Registry INTERFACE_INCLUDE_DIRECTORIES)
else()
    find_package(VulkanHeaders)
    if(NOT ${VulkanHeaders_FOUND})
        message(FATAL_ERROR "Could not find Vulkan headers path. This can be fixed by setting VULKAN_HEADERS_INSTALL_DIR to an "
                            "installation of the Vulkan-Headers repository.")
    endif()
    if(NOT ${VulkanRegistry_FOUND})
        message(FATAL_ERROR "Could not find Vulkan registry path. This can be fixed by setting VULKAN_HEADERS_INSTALL_DIR to an "
                            "installation of the Vulkan-Headers repository.")
    endif()

    # set up the Vulkan::Headers target for consistency
    add_library(vulkan-headers INTERFACE)
    target_include_directories(vulkan-headers SYSTEM INTERFACE "${VulkanHeaders_INCLUDE_DIRS}")
    add_library(Vulkan::Headers ALIAS vulkan-headers)
endif()

option(USE_CCACHE "Use ccache" OFF)
if(USE_CCACHE)
    find_program(CCACHE_FOUND ccache)
    if(CCACHE_FOUND)
        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    endif()
endif()

include(GNUInstallDirs)

if(UNIX AND NOT APPLE) # i.e.: Linux
    include(FindPkgConfig)
endif()

if(APPLE)
    # CMake versions 3 or later need CMAKE_MACOSX_RPATH defined. This avoids the CMP0042 policy message.
    set(CMAKE_MACOSX_RPATH 1)
endif()

set(GIT_BRANCH_NAME "--unknown--")
set(GIT_TAG_INFO "--unknown--")
find_package (Git)
if (GIT_FOUND AND EXISTS "${CMAKE_CURRENT_LIST_DIR}/.git/HEAD")
    execute_process(
        COMMAND ${GIT_EXECUTABLE} describe --tags --always
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
        OUTPUT_VARIABLE GIT_TAG_INFO)
    string(REGEX REPLACE "\n$" "" GIT_TAG_INFO "${GIT_TAG_INFO}")

    file(READ "${CMAKE_CURRENT_LIST_DIR}/.git/HEAD" GIT_HEAD_REF_INFO)
    if (GIT_HEAD_REF_INFO)
        string(REGEX MATCH "ref: refs/heads/(.*)" _ ${GIT_HEAD_REF_INFO})
        if (CMAKE_MATCH_1)
            set(GIT_BRANCH_NAME ${CMAKE_MATCH_1})
        else()
            set(GIT_BRANCH_NAME ${GIT_HEAD_REF_INFO})
        endif()
        string(REGEX REPLACE "\n$" "" GIT_BRANCH_NAME "${GIT_BRANCH_NAME}")
    endif()
endif()

if(WIN32 AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    # Windows: if install locations not set by user, set install prefix to "<build_dir>\install".
    set(CMAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/install" CACHE PATH "default install path" FORCE)
endif()

# Enable IDE GUI folders.  "Helper targets" that don't have interesting source code should set their FOLDER property to this
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set(LOADER_HELPER_FOLDER "Helper Targets")

if(UNIX)
    set(FALLBACK_CONFIG_DIRS "/etc/xdg" CACHE STRING
            "Search path to use when XDG_CONFIG_DIRS is unset or empty or the current process is SUID/SGID. Default is freedesktop compliant.")
    set(FALLBACK_DATA_DIRS "/usr/local/share:/usr/share" CACHE STRING
            "Search path to use when XDG_DATA_DIRS is unset or empty or the current process is SUID/SGID. Default is freedesktop compliant.")
    set(SYSCONFDIR "" CACHE STRING
            "System-wide search directory. If not set or empty, CMAKE_INSTALL_FULL_SYSCONFDIR and /etc are used.")
endif()

# Because we use CMake 3.10.2, we can't use the policy which would disable adding /W3 by default. In the interim, replace the flags
# When this project is updated to 3.15 and above, use the following line.
#     cmake_policy(SET CMP0092 NEW)
string(REGEX REPLACE "/W3" "" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
string(REGEX REPLACE "/W3" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

# For MSVC/Windows, replace /GR with an empty string, this prevents warnings of /GR being overriden by /GR-
# Newer CMake versions (3.20) have better solutions for this through policy - using the old
# way while waiting for when updating can occur
string(REPLACE "/GR" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

if(UNIX AND NOT APPLE) # i.e.: Linux
    option(BUILD_WSI_XCB_SUPPORT "Build XCB WSI support" ON)
    option(BUILD_WSI_XLIB_SUPPORT "Build Xlib WSI support" ON)
    option(BUILD_WSI_WAYLAND_SUPPORT "Build Wayland WSI support" ON)
    option(BUILD_WSI_DIRECTFB_SUPPORT "Build DirectFB WSI support" OFF)
    option(BUILD_WSI_SCREEN_QNX_SUPPORT "Build QNX Screen WSI support" OFF)

    if(BUILD_WSI_XCB_SUPPORT)
        find_package(XCB REQUIRED)
        include_directories(SYSTEM ${XCB_INCLUDE_DIR})
    endif()

    if(BUILD_WSI_XLIB_SUPPORT)
        find_package(X11 REQUIRED)
    endif()

    if(BUILD_WSI_WAYLAND_SUPPORT)
        find_package(Wayland REQUIRED)
        include_directories(SYSTEM ${WAYLAND_CLIENT_INCLUDE_DIR})
    endif()

    if(BUILD_WSI_DIRECTFB_SUPPORT)
        find_package(DirectFB REQUIRED)
        include_directories(SYSTEM ${DIRECTFB_INCLUDE_DIR})
    endif()

    if(BUILD_WSI_SCREEN_QNX_SUPPORT)
        # Part of OS, no additional include directories are required
    endif()
endif()

if(WIN32)
    option(ENABLE_WIN10_ONECORE "Link the loader with OneCore umbrella libraries" OFF)
endif()

add_library(platform_wsi_defines INTERFACE)
if(WIN32)
    target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_WIN32_KHR)
elseif(ANDROID)
    target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_ANDROID_KHR)
elseif(APPLE)
    target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_MACOS_MVK VK_USE_PLATFORM_METAL_EXT)
elseif(UNIX AND NOT APPLE) # i.e.: Linux
    if(BUILD_WSI_XCB_SUPPORT)
        target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_XCB_KHR)
    endif()
    if(BUILD_WSI_XLIB_SUPPORT)
        target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_XLIB_KHR VK_USE_PLATFORM_XLIB_XRANDR_EXT)
    endif()
    if(BUILD_WSI_WAYLAND_SUPPORT)
        target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_WAYLAND_KHR)
    endif()
    if(BUILD_WSI_DIRECTFB_SUPPORT)
        target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_DIRECTFB_EXT)
    endif()
    if(BUILD_WSI_SCREEN_QNX_SUPPORT)
        target_compile_definitions(platform_wsi_defines INTERFACE VK_USE_PLATFORM_SCREEN_QNX)
    endif()
else()
    message(FATAL_ERROR "Unsupported Platform!")
endif()

add_library(loader_common_options INTERFACE)
target_compile_definitions(loader_common_options INTERFACE API_NAME="Vulkan")
target_link_libraries(loader_common_options INTERFACE platform_wsi_defines)

# Enable beta Vulkan extensions
target_compile_definitions(loader_common_options INTERFACE VK_ENABLE_BETA_EXTENSIONS)

target_compile_features(loader_common_options INTERFACE c_std_99)
target_compile_features(loader_common_options INTERFACE cxx_std_11)
set(LOADER_STANDARD_C_PROPERTIES PROPERTIES C_STANDARD 99 C_STANDARD_REQUIRED YES C_EXTENSIONS OFF)

## vulkan-loader 1.3.236.0

=== debian/changelog ===
vulkan-loader (1.3.236.0-2) unstable; urgency=medium

  * Make -dev multiarch-friendly again by installing cmake files to
   libdir. (Closes: #1029194)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 21 Jan 2023 18:39:02 +0200

vulkan-loader (1.3.236.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * Refresh vulkan-headers to 1.3.236.0

  [ Dylan Aïssi ]
  * Fix use of vulkan-headers in debian/rules

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jan 2023 19:58:36 +0200

vulkan-loader (1.3.231.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 10:20:32 +0200

## vulkan-loader 1.3.239.0

=== tests/CMakeLists.txt ===
# ~~~
# Copyright (c) 2014-2022 Valve Corporation
# Copyright (c) 2014-2022 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~


# By default, tests and loader are built without sanitizers
# Use these options to force a specific sanitizer on all test executables
option(TEST_USE_ADDRESS_SANITIZER "Linux only: Advanced memory checking" OFF)
option(TEST_USE_THREAD_SANITIZER "Linux only: Advanced thread checking" OFF)
option(ENABLE_LIVE_VERIFICATION_TESTS "Enable tests which expect to run on live drivers. Meant for manual verification only" OFF)

include(GoogleTest)
add_subdirectory(framework)

add_executable(
    test_regression
        loader_testing_main.cpp
        loader_alloc_callback_tests.cpp
        loader_envvar_tests.cpp
        loader_get_proc_addr_tests.cpp
        loader_debug_ext_tests.cpp
        loader_handle_validation_tests.cpp
        loader_layer_tests.cpp
        loader_regression_tests.cpp
        loader_phys_dev_inst_ext_tests.cpp
        loader_version_tests.cpp
        loader_unknown_ext_tests.cpp
        loader_wsi_tests.cpp)
target_link_libraries(test_regression PUBLIC testing_dependencies)
set_target_properties(test_regression ${LOADER_STANDARD_CXX_PROPERTIES})
target_compile_definitions(test_regression PUBLIC VK_NO_PROTOTYPES)

# Threading tests live in separate executabe just for threading tests as it'll need support
# in the test harness to enable in CI, as thread sanitizer doesn't work with address sanitizer enabled.
add_executable(
    test_threading
        loader_testing_main.cpp
        loader_threading_tests.cpp)
target_link_libraries(test_threading PUBLIC testing_dependencies)
set_target_properties(test_threading ${LOADER_STANDARD_CXX_PROPERTIES})
target_compile_definitions(test_threading PUBLIC VK_NO_PROTOTYPES)

# executables that are meant for testing against real drivers rather than the mocks
if (ENABLE_LIVE_VERIFICATION_TESTS)
    add_subdirectory(live_verification)
endif()

if(WIN32)
    # Copy loader and googletest (gtest) libs to test dir so the test executable can find them.
    add_custom_command(TARGET test_regression POST_BUILD
                       COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:gtest> $<TARGET_FILE_DIR:test_regression>)
    # Copy the loader shared lib (if built) to the test application directory so the test app finds it.
    if(TARGET vulkan)
        add_custom_command(TARGET test_regression POST_BUILD
                           COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:vulkan> $<TARGET_FILE_DIR:test_regression>)
    endif()

    # Copy the gtest shared lib (if built) to the live verification tests directory so the tests finds it.
    if(ENABLE_LIVE_VERIFICATION_TESTS)
        add_custom_command(TARGET test_regression POST_BUILD
                           COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:gtest> $<TARGET_FILE_DIR:dynamic_rendering_get_proc_addr>)
    endif()
endif()

# must happen after the dll's get copied over
if(NOT CMAKE_CROSSCOMPILING)
    gtest_discover_tests(test_regression PROPERTIES DISCOVERY_TIMEOUT 100)
else()
    gtest_add_tests(TARGET test_regression)
endif()

=== tests/live_verification/CMakeLists.txt ===
# ~~~
# Copyright (c) 2022 Valve Corporation
# Copyright (c) 2022 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

add_executable(dynamic_rendering_get_proc_addr dynamic_rendering_get_proc_addr.cpp)
target_link_libraries(dynamic_rendering_get_proc_addr testing_dependencies)
set_target_properties(dynamic_rendering_get_proc_addr ${LOADER_STANDARD_CXX_PROPERTIES})

add_subdirectory(dynamic_loader_behavior)

if(APPLE AND BUILD_STATIC_LOADER)
    add_executable(macos_static_loader_build macos_static_loader_build.cpp)
    target_link_libraries(macos_static_loader_build loader_common_options vulkan Vulkan::Headers)
    set_target_properties(macos_static_loader_build ${LOADER_STANDARD_CXX_PROPERTIES})
    if (TEST_USE_THREAD_SANITIZER)
        target_compile_options(macos_static_loader_build PUBLIC -fsanitize=thread)
        target_link_options(macos_static_loader_build PUBLIC -fsanitize=thread)
    endif()
endif()

=== vulkan-headers/tests/CMakeLists.txt ===
# ~~~
# Copyright (c) 2022-2023 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

# Test the non-API headers provided by this repo
# NOTE: For us testing just means that these header files compile
# with reasonable warnings.

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)

if(${CMAKE_C_COMPILER_ID} MATCHES "(GNU|Clang)")
    add_compile_options(
        -Wpedantic
        -Wall
        -Wextra
        -Werror
    )
endif()

# vk_icd.h
add_executable(vk_icd vk_icd.c)
target_link_libraries(vk_icd PRIVATE Vulkan::Headers)

# vk_layer.h
add_library(vk_layer MODULE vk_layer.c)
target_link_libraries(vk_layer PRIVATE Vulkan::Headers)

# vk_sdk_platform.h
add_executable(vk_sdk_platform vk_sdk_platform.c)
target_link_libraries(vk_sdk_platform PRIVATE Vulkan::Headers)
target_compile_definitions(vk_sdk_platform PRIVATE VK_SDK_PLATFORM_SUPRRESS_DEPRECATION_WARNING)

=== tests/framework/shim/CMakeLists.txt ===
# ~~~
# Copyright (c) 2021 Valve Corporation
# Copyright (c) 2021 LunarG, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~

add_library(shim-common STATIC shim_common.cpp)
target_link_libraries(shim-common PUBLIC testing_framework_util)
target_include_directories(shim-common PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
set_target_properties(shim-common ${LOADER_STANDARD_CXX_PROPERTIES})

if (WIN32)
    # need adapters.h which is in the loader folder
    target_include_directories(shim-common PUBLIC ${CMAKE_SOURCE_DIR}/loader)
    target_link_libraries(shim-common PRIVATE cfgmgr32)

    add_library(shim-library SHARED windows_shim.cpp)
    target_link_libraries(shim-library PRIVATE detours cfgmgr32)

elseif(UNIX)
    if(APPLE)
        add_library(shim-library SHARED unix_shim.cpp)
        target_link_libraries(shim-library PRIVATE "-framework CoreFoundation")
    else()
        add_library(shim-library STATIC unix_shim.cpp)
    endif()
endif()
#common attributes
target_link_libraries(shim-library PUBLIC shim-common)
set_target_properties(shim-library ${LOADER_STANDARD_CXX_PROPERTIES})

=== debian/changelog ===
vulkan-loader (1.3.239.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1026768)
  * fix-headers-install.diff: Refreshed.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Feb 2023 10:41:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: vulkan-loader
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 12),
  cmake,

=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,15 @@
 	ln -s /usr/src/googletest external
 endif
 
+	dh_auto_configure --sourcedirectory=vulkan-headers --builddirectory=build-vulkan-headers/
+	dh_auto_build --sourcedirectory=vulkan-headers --builddirectory=build-vulkan-headers/
+	dh_auto_install --sourcedirectory=vulkan-headers --builddirectory=build-vulkan-headers/ --destdir=debian/tmp-vulkan-headers
+
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	-DBUILD_WSI_MIR_SUPPORT=OFF \
-	-DVulkanHeaders_INCLUDE_DIR=../vulkan-headers/include \
-	-DVulkanRegistry_DIR=../vulkan-headers/registry
+	-DVulkanHeaders_DIR=debian/tmp-vulkan-headers/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/VulkanHeaders/
 
 override_dh_auto_build:
 	dh_auto_build -- VulkanLoader_generated_source
@@ -41,9 +44,7 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 
-	mkdir -p debian/tmp/usr/share/vulkan
-	cp -rp vulkan-headers/include debian/tmp/usr
-	cp -rp vulkan-headers/registry debian/tmp/usr/share/vulkan
+	cp -rp debian/tmp-vulkan-headers/usr debian/tmp/
 	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__
 	rm -rf debian/tmp/usr/share/vulkan/registry/spec_tools/__pycache__
 
@@ -54,7 +55,3 @@
 	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
 		--exclude 'debian' --exclude-vcs \
 		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
-

## vulkan-loader 1.3.250.0

=== debian/changelog ===
vulkan-loader (1.3.250.0-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jun 2023 16:19:52 -0700

vulkan-loader (1.3.250.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * README.source: Updated to match reality.
  * sync-headers: Support non-sdk tags.
  * rules: Prepare for next upstream version, enable LOADER_CODEGEN.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 11:39:49 +0300

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	-DBUILD_WSI_MIR_SUPPORT=OFF \
+	-DLOADER_CODEGEN=ON \
 	-DVulkanHeaders_DIR=debian/tmp-vulkan-headers/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/VulkanHeaders/
 
 override_dh_auto_build:
@@ -48,6 +49,10 @@
 	rm -rf debian/tmp/usr/share/vulkan/registry/__pycache__
 	rm -rf debian/tmp/usr/share/vulkan/registry/spec_tools/__pycache__
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_missing:
 	dh_missing --fail-missing
